VIEWIMG_DESTROY(3)

FUNCTION
viewimg_destroy - Destroy viewable image.

SYNOPSIS
#include <karma_viewimg.h>

void viewimg_destroy

(ViewableImage vimage)

DESCRIPTION
This routine will destroy a viewable image. If this is not called prior to process exit, shared memory segments could remain after the process exits.

vimage
    The viewable image.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

NOTE
The associated <<multi_array>> descriptor is also deallocated (or at least, the attachment count is decreased).

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/